ocaml-omd-1.3.1-alt2.x86_64.rpm


Advertisement

Description

ocaml-omd - OMD: extensible Markdown library and tool in OCaml

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package filename ocaml-omd-1.3.1-alt2.x86_64.rpm
Package name ocaml-omd
Package version 1.3.1
Package release alt2
Package architecture x86_64
Package type rpm
Category Development/ML
Homepage -
License -
Maintainer -
Download size 12.29 MB
Installed size 12.29 MB
This Markdown library is implemented using only pure OCaml (including
I/O operations provided by the standard OCaml compiler distribution).
OMD is meant to be as faithful as possible to the original Markdown.
Additionally, OMD implements a few Github markdown features, an extension
mechanism, and some other features. Note that the opam package installs both the
OMD library and the command line tool omd

Alternatives

Package Version Architecture Repository
ocaml-omd-1.3.1-alt2.i586.rpm 1.3.1 i586 Classic
ocaml-omd - - -

Requires

Name Value
/lib64/ld-linux-x86-64.so.2 -
libc.so.6(GLIBC_2.10)(64bit) -
libc.so.6(GLIBC_2.11)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libc.so.6(GLIBC_2.16)(64bit) -
libc.so.6(GLIBC_2.17)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libc.so.6(GLIBC_2.9)(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
ocaml-cmi(CamlinternalFormatBasics) = 4.08-A2B1A9D8
ocaml-cmi(CamlinternalOO) = 4.08-D36E4426
ocaml-cmi(Stdlib) = 4.08-AD45F251
ocaml-cmi(Stdlib__bigarray) = 4.08-A39ABB3F
ocaml-cmi(Stdlib__buffer) = 4.08-35866FA9
ocaml-cmi(Stdlib__bytes) = 4.08-6B7074AF
ocaml-cmi(Stdlib__complex) = 4.08-3E86422B
ocaml-cmi(Stdlib__int32) = 4.08-9DE27084
ocaml-cmi(Stdlib__list) = 4.08-FA1A1736
ocaml-cmi(Stdlib__map) = 4.08-24753F5F
ocaml-cmi(Stdlib__obj) = 4.08-9F725E74
ocaml-cmi(Stdlib__pervasives) = 4.08-FFB0EEFB
ocaml-cmi(Stdlib__printexc) = 4.08-0385C022
ocaml-cmi(Stdlib__printf) = 4.08-B72A44ED
ocaml-cmi(Stdlib__seq) = 4.08-359C9551
ocaml-cmi(Stdlib__set) = 4.08-57951633
ocaml-cmi(Stdlib__string) = 4.08-89DC8C0E
ocaml-cmi(Stdlib__stringLabels) = 4.08-67CA9A81
ocaml-cmi(Stdlib__sys) = 4.08-13AA7B95
ocaml-cmi(Stdlib__uchar) = 4.08-DB24A5EB
ocaml-cmx(CamlinternalOO) = 4.08-70E09944
ocaml-cmx(Stdlib) = 4.08-1B91E596
ocaml-cmx(Stdlib__buffer) = 4.08-FC4F66CC
ocaml-cmx(Stdlib__bytes) = 4.08-F070D51F
ocaml-cmx(Stdlib__list) = 4.08-B76D2738
ocaml-cmx(Stdlib__map) = 4.08-026E4FD3
ocaml-cmx(Stdlib__printexc) = 4.08-3A526922
ocaml-cmx(Stdlib__printf) = 4.08-7480D3FF
ocaml-cmx(Stdlib__set) = 4.08-0B3CF27B
ocaml-cmx(Stdlib__string) = 4.08-7B74775C
ocaml-cmx(Stdlib__stringLabels) = 4.08-053BABFB
ocaml-cmx(Stdlib__sys) = 4.08-199A8AA5
rpmlib(PayloadIsLzma) -
rtld(GNU_HASH) -

Provides

Name Value
ocaml-cmi(Omd) = 4.08-CA6CF450
ocaml-cmi(Omd_backend) = 4.08-B35FE44E
ocaml-cmi(Omd_lexer) = 4.08-F480FA96
ocaml-cmi(Omd_parser) = 4.08-959433DF
ocaml-cmi(Omd_representation) = 4.08-9FDCCAE2
ocaml-cmi(Omd_utils) = 4.08-DD8AA836
ocaml-cmx(Omd) = 4.08-04FDC208
ocaml-cmx(Omd_backend) = 4.08-7779CB3B
ocaml-cmx(Omd_lexer) = 4.08-CDA5B0FE
ocaml-cmx(Omd_parser) = 4.08-C3152B8B
ocaml-cmx(Omd_representation) = 4.08-DD37539E
ocaml-cmx(Omd_utils) = 4.08-AF669CEC
ocaml-omd = 1.3.1-alt2:sisyphus+235061.13500.23.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package ocaml-omd-1.3.1-alt2.x86_64.rpm
Source Package ocaml-omd-1.3.1-alt2.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install ocaml-omd rpm package:
    # sudo apt-get install ocaml-omd

Files

Path
/usr/bin/omd
/usr/bin/test_cow
/usr/bin/test_spec
/usr/lib64/ocaml/omd/META
/usr/lib64/ocaml/omd/omd.a
/usr/lib64/ocaml/omd/omd.annot
/usr/lib64/ocaml/omd/omd.cma
/usr/lib64/ocaml/omd/omd.cmi
/usr/lib64/ocaml/omd/omd.cmxa
/usr/lib64/ocaml/omd/omd.cmxs
/usr/lib64/ocaml/omd/omd_backend.annot
/usr/lib64/ocaml/omd/omd_backend.cmi
/usr/lib64/ocaml/omd/omd_lexer.annot
/usr/lib64/ocaml/omd/omd_lexer.cmi
/usr/lib64/ocaml/omd/omd_parser.annot
/usr/lib64/ocaml/omd/omd_parser.cmi
/usr/lib64/ocaml/omd/omd_representation.annot
/usr/lib64/ocaml/omd/omd_representation.cmi
/usr/lib64/ocaml/omd/omd_utils.annot
/usr/lib64/ocaml/omd/omd_utils.cmi
/usr/share/doc/ocaml-omd-1.3.1/ABOUT.md
/usr/share/doc/ocaml-omd-1.3.1/README.md

Changelog

2019-08-02 - Anton Farygin <rider@altlinux.ru> 1.3.1-alt2
- rebuilt with ocaml-4.08
2018-10-30 - Anton Farygin <rider@altlinux.ru> 1.3.1-alt1
- first build for ALT

See Also

Package Description
ocaml-omd-devel-1.3.1-alt2.x86_64.rpm Development files for ocaml-omd
ocaml-opam-file-format-2.0.0-alt4.x86_64.rpm Parser and printer for the opam file syntax
ocaml-opam-file-format-devel-2.0.0-alt4.x86_64.rpm Development files for ocaml-opam-file-format
ocaml-ounit-2.2.2-alt1.x86_64.rpm Unit test framework for OCaml
ocaml-ounit-devel-2.2.2-alt1.x86_64.rpm Development files for ocaml-ounit
ocaml-parmap-1.0-alt3.rc10.x86_64.rpm small OCaml library allowing to exploit multicore architectures
ocaml-parmap-devel-1.0-alt3.rc10.x86_64.rpm Development files for ocaml-parmap
ocaml-parsexp-0.13.0-alt1.x86_64.rpm S-expression parsing library for ocaml
ocaml-parsexp-devel-0.13.0-alt1.x86_64.rpm Development files for ocaml-parsexp
ocaml-pcre-7.4.3-alt1.x86_64.rpm Perl compatibility regular expressions (PCRE) for OCaml
ocaml-pcre-devel-7.4.3-alt1.x86_64.rpm Development files for ocaml-pcre
ocaml-postgresql-4.5.2-alt1.x86_64.rpm PostgreSQL Bindings for OCaml
ocaml-postgresql-devel-4.5.2-alt1.x86_64.rpm Development files for ocaml-postgresql
ocaml-ppx_derivers-1.2.1-alt1.x86_64.rpm ppx_type_conv/ppx_deriving interoperability library
ocaml-ppx_derivers-devel-1.2.1-alt1.x86_64.rpm Development files for ocaml-ppx_derivers
Advertisement
Advertisement